Bug 210337 - [exp-run] allow libiomp for openmp when using clang on amd64
Summary: [exp-run] allow libiomp for openmp when using clang on amd64
Status: In Progress
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Port Management Team
URL: https://reviews.freebsd.org/D6362
Keywords:
Depends on: 214258 229521
Blocks: 233094
  Show dependency treegraph
 
Reported: 2016-06-16 22:00 UTC by Baptiste Daroussin
Modified: 2019-03-16 21:13 UTC (History)
7 users (show)

See Also:
bapt: exp-run?


Attachments
latest patch from D6362 (12.60 KB, patch)
2017-05-03 03:28 UTC, Johannes M Dieterich
no flags Details | Diff
latest patch from D6362 (4.34 KB, patch)
2017-05-12 16:42 UTC, Johannes M Dieterich
no flags Details | Diff
Use devel/llvm50 now instead of llvm40 (13.13 KB, patch)
2017-10-01 19:12 UTC, Johannes M Dieterich
no flags Details | Diff
re-diffd patch against recent ports HEAD (1.38 KB, patch)
2018-02-18 13:34 UTC, Johannes M Dieterich
no flags Details | Diff
openmp.diff (1.37 KB, patch)
2018-02-21 14:20 UTC, Antoine Brodin
no flags Details | Diff
use llvm60 and fix a few more ports (19.55 KB, patch)
2018-06-11 03:19 UTC, Johannes M Dieterich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Baptiste Daroussin freebsd_committer 2016-06-16 22:00:36 UTC
I would like an exp-run to allow using libiomp for clang to support openmp when clang is the compiler

Note: only amd64 is added as it seems broken on i386
Comment 1 Antoine Brodin freebsd_committer 2016-06-18 17:27:13 UTC
Exp-run results:

http://package18.nyi.freebsd.org/build.html?mastername=101amd64-default-PR210337&build=2016-06-18_15h19m03s

Around 1000 ports were skipped because of math/fftw3* and math/openblas

New failures:

+ {"origin"=>"archivers/paq", "pkgname"=>"paq-20140131", "phase"=>"build", "errortype"=>"gcc4_error"}
+ {"origin"=>"audio/csound", "pkgname"=>"csound-5.19.01_4", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"biology/cd-hit", "pkgname"=>"cd-hit-4.6.4", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"biology/fasttree", "pkgname"=>"FastTree-2.1.8", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"math/fftw3", "pkgname"=>"fftw3-3.3.3_2", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"math/fftw3-float", "pkgname"=>"fftw3-float-3.3.3_2", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"math/fftw3-long", "pkgname"=>"fftw3-long-3.3.3_2", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"math/openblas", "pkgname"=>"openblas-0.2.18_1,1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"science/clhep", "pkgname"=>"clhep-2.3.1.1", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"sysutils/parafly", "pkgname"=>"parafly-2013.01.21", "phase"=>"build", "errortype"=>"linker_error"}

Failure logs:

http://package18.nyi.freebsd.org/data/101amd64-default-PR210337/2016-06-18_15h19m03s/logs/errors/paq-20140131.log
http://package18.nyi.freebsd.org/data/101amd64-default-PR210337/2016-06-18_15h19m03s/logs/errors/csound-5.19.01_4.log
http://package18.nyi.freebsd.org/data/101amd64-default-PR210337/2016-06-18_15h19m03s/logs/errors/cd-hit-4.6.4.log
http://package18.nyi.freebsd.org/data/101amd64-default-PR210337/2016-06-18_15h19m03s/logs/errors/FastTree-2.1.8.log
http://package18.nyi.freebsd.org/data/101amd64-default-PR210337/2016-06-18_15h19m03s/logs/errors/fftw3-3.3.3_2.log
http://package18.nyi.freebsd.org/data/101amd64-default-PR210337/2016-06-18_15h19m03s/logs/errors/fftw3-float-3.3.3_2.log
http://package18.nyi.freebsd.org/data/101amd64-default-PR210337/2016-06-18_15h19m03s/logs/errors/fftw3-long-3.3.3_2.log
http://package18.nyi.freebsd.org/data/101amd64-default-PR210337/2016-06-18_15h19m03s/logs/errors/openblas-0.2.18_1,1.log
http://package18.nyi.freebsd.org/data/101amd64-default-PR210337/2016-06-18_15h19m03s/logs/errors/clhep-2.3.1.1.log
http://package18.nyi.freebsd.org/data/101amd64-default-PR210337/2016-06-18_15h19m03s/logs/errors/parafly-2013.01.21.log
Comment 2 Baptiste Daroussin freebsd_committer 2016-08-30 12:29:14 UTC
I have updated the patch, is it possible to make a new exp-run?
Comment 3 Antoine Brodin freebsd_committer 2016-09-05 20:20:18 UTC
New failures on 10.1 amd64 with OPENMP turned on:

+ {"origin"=>"audio/csound", "pkgname"=>"csound-5.19.01_4", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/pfstmo", "pkgname"=>"pfstmo-1.5_2", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"math/openblas", "pkgname"=>"openblas-0.2.18_1,1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"science/clhep", "pkgname"=>"clhep-2.3.1.1", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"science/gromacs", "pkgname"=>"gromacs-5.0.6", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"security/john", "pkgname"=>"john-1.7.9.j.7_2", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"sysutils/b2sum", "pkgname"=>"b2sum-0.0.d20150531", "phase"=>"build", "errortype"=>"linker_error"}

304 ports skipped due to openblas failure

Failure logs:

http://package18.nyi.freebsd.org/data/101amd64-default-PR210337/2016-09-05_19h58m33s/logs/errors/csound-5.19.01_4.log
http://package18.nyi.freebsd.org/data/101amd64-default-PR210337/2016-09-05_19h58m33s/logs/errors/pfstmo-1.5_2.log
http://package18.nyi.freebsd.org/data/101amd64-default-PR210337/2016-09-05_19h58m33s/logs/errors/openblas-0.2.18_1,1.log
http://package18.nyi.freebsd.org/data/101amd64-default-PR210337/2016-09-05_19h58m33s/logs/errors/clhep-2.3.1.1.log
http://package18.nyi.freebsd.org/data/101amd64-default-PR210337/2016-09-05_19h58m33s/logs/errors/gromacs-5.0.6.log
http://package18.nyi.freebsd.org/data/101amd64-default-PR210337/2016-09-05_19h58m33s/logs/errors/john-1.7.9.j.7_2.log
http://package18.nyi.freebsd.org/data/101amd64-default-PR210337/2016-09-05_19h58m33s/logs/errors/b2sum-0.0.d20150531.log
Comment 4 Ed Maste freebsd_committer 2016-09-22 15:23:36 UTC
Looks like OpenBLAS needs the explicit error removed for testing:

> ifeq ($(C_COMPILER), CLANG)
> $(error OpenBLAS: Clang didn't support OpenMP yet.)
> CCOMMON_OPT    += -fopenmp
> endif
Comment 5 Baptiste Daroussin freebsd_committer 2016-09-22 15:24:56 UTC
You are not fast enough I committed that fix few seconds before your comment :)
Comment 8 Baptiste Daroussin freebsd_committer 2016-09-24 13:19:33 UTC
I updated the compiler.mk that should fix the issues
Comment 9 Antoine Brodin freebsd_committer 2016-10-23 12:38:50 UTC
reassign to portmgr@ when you have something that works with openblas
Comment 10 Johannes M Dieterich freebsd_committer 2017-05-03 03:28:30 UTC
Created attachment 182261 [details]
latest patch from D6362

Taking this as per bapt's request
Comment 11 Johannes M Dieterich freebsd_committer 2017-05-03 03:30:15 UTC
Please do another exp-run due to the update to LLVM 4.0 of devel/openmp.
Comment 12 Johannes M Dieterich freebsd_committer 2017-05-12 16:42:44 UTC
Created attachment 182547 [details]
latest patch from D6362

In this patch, all comments of reviewers on D6362 are addressed. Notable change: 10.3 will now use devel/llvm40 for OpenMP as the base llvm in this release is not mature enough for OpenMP itself.
Comment 13 Antoine Brodin freebsd_committer 2017-05-12 19:09:55 UTC
This is broken on non-amd64

make: "/usr/ports/Mk/Uses/compiler.mk" line 112: Malformed conditional (${COMPILER_FEATURES:Mlibc++})
Comment 14 Antoine Brodin freebsd_committer 2017-05-13 18:53:58 UTC
New failures on 10.3 amd64:

+ {"origin"=>"graphics/digikam-kde4", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/entangle", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/gthumb", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/gwenview-kde4", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/kipi-plugin-acquireimages", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/kipi-plugin-dngconverter", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/kipi-plugin-expoblending", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/kipi-plugin-panorama", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/kipi-plugin-photolayoutseditor", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/kphotoalbum-kde4", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/luminance", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/luminance-qt5", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/nomacs", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"multimedia/php-pHash", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"science/clhep", "phase"=>"build", "errortype"=>"linker_error"}

Failure logs on 10.3 amd64:

http://package22.nyi.freebsd.org/data/103amd64-default-PR210337/2017-05-12_18h58m04s/logs/digikam-4.14.0_4,2.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR210337/2017-05-12_18h58m04s/logs/entangle-0.7.1_1.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR210337/2017-05-12_18h58m04s/logs/gthumb-3.4.5_1.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR210337/2017-05-12_18h58m04s/logs/gwenview-4.14.3_2.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR210337/2017-05-12_18h58m04s/logs/kipi-plugin-acquireimages-4.14.0_1.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR210337/2017-05-12_18h58m04s/logs/kipi-plugin-dngconverter-4.14.0_1.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR210337/2017-05-12_18h58m04s/logs/kipi-plugin-expoblending-4.14.0_1.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR210337/2017-05-12_18h58m04s/logs/kipi-plugin-panorama-4.14.0_1.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR210337/2017-05-12_18h58m04s/logs/kipi-plugin-photolayoutseditor-4.14.0_1.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR210337/2017-05-12_18h58m04s/logs/kphotoalbum-4.4_9.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR210337/2017-05-12_18h58m04s/logs/luminance-hdr-2.3.1_12.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR210337/2017-05-12_18h58m04s/logs/luminance-hdr-qt5-2.4.0_14.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR210337/2017-05-12_18h58m04s/logs/nomacs-2.2.0_8.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR210337/2017-05-12_18h58m04s/logs/php-pHash-0.9.6_2.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR210337/2017-05-12_18h58m04s/logs/clhep-2.3.1.1_2.log
Comment 15 Antoine Brodin freebsd_committer 2017-05-14 18:35:47 UTC
New failures on 11.0 amd64:

+ {"origin"=>"graphics/ImageMagick", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/ImageMagick-nox11", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/ImageMagick7", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/ImageMagick7-nox11", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/kipi-plugin-acquireimages", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/kipi-plugin-dngconverter", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/kipi-plugin-expoblending", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/kipi-plugin-panorama", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/kipi-plugin-photolayoutseditor", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/kphotoalbum-kde4", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/luminance", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/luminance-qt5", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/nomacs", "phase"=>"build", "errortype"=>"linker_error"}

Failure logs on 11.0 amd64:

http://package22.nyi.freebsd.org/data/110amd64-default-PR210337/2017-05-14_10h31m41s/logs/errors/ImageMagick-6.9.6.4_2,1.log
http://package22.nyi.freebsd.org/data/110amd64-default-PR210337/2017-05-14_10h31m41s/logs/errors/ImageMagick-nox11-6.9.6.4_2,1.log
http://package22.nyi.freebsd.org/data/110amd64-default-PR210337/2017-05-14_10h31m41s/logs/errors/ImageMagick7-7.0.3.7_2.log
http://package22.nyi.freebsd.org/data/110amd64-default-PR210337/2017-05-14_10h31m41s/logs/errors/ImageMagick7-nox11-7.0.3.7_2.log
http://package22.nyi.freebsd.org/data/110amd64-default-PR210337/2017-05-14_10h31m41s/logs/errors/kipi-plugin-acquireimages-4.14.0_1.log
http://package22.nyi.freebsd.org/data/110amd64-default-PR210337/2017-05-14_10h31m41s/logs/errors/kipi-plugin-dngconverter-4.14.0_1.log
http://package22.nyi.freebsd.org/data/110amd64-default-PR210337/2017-05-14_10h31m41s/logs/errors/kipi-plugin-expoblending-4.14.0_1.log
http://package22.nyi.freebsd.org/data/110amd64-default-PR210337/2017-05-14_10h31m41s/logs/errors/kipi-plugin-panorama-4.14.0_1.log
http://package22.nyi.freebsd.org/data/110amd64-default-PR210337/2017-05-14_10h31m41s/logs/errors/kipi-plugin-photolayoutseditor-4.14.0_1.log
http://package22.nyi.freebsd.org/data/110amd64-default-PR210337/2017-05-14_10h31m41s/logs/errors/kphotoalbum-4.4_9.log
http://package22.nyi.freebsd.org/data/110amd64-default-PR210337/2017-05-14_10h31m41s/logs/errors/luminance-hdr-2.3.1_12.log
http://package22.nyi.freebsd.org/data/110amd64-default-PR210337/2017-05-14_10h31m41s/logs/errors/luminance-hdr-qt5-2.4.0_14.log
http://package22.nyi.freebsd.org/data/110amd64-default-PR210337/2017-05-14_10h31m41s/logs/errors/nomacs-2.2.0_8.log

More than 330 ports were skipped due to those failures.
Comment 16 Johannes M Dieterich freebsd_committer 2017-10-01 19:12:58 UTC
Created attachment 186836 [details]
Use devel/llvm50 now instead of llvm40

This upgrades the dependency to devel/llvm50. I've removed the devel/openmp dependency as the previous exp-run showed major problems with it. Changed the if/else clause so that it should work on !amd64.
Comment 17 Antoine Brodin freebsd_committer 2017-10-01 19:28:51 UTC
(In reply to Johannes M Dieterich from comment #16)
This looks wrong,  it doesn't add any library dependency when using openmp with clang?
Comment 18 Johannes M Dieterich freebsd_committer 2017-10-01 19:36:16 UTC
The devel/llvm50 includes the OpenMP library (libomp) and the compilers should know where it is when fopenmp is set (by standard). So I guess adding runtime dependency on devel/llvm50 would make most sense?
Comment 19 Johannes M Dieterich freebsd_committer 2017-10-01 21:01:47 UTC
Unfortunately OpenMP support in devel/llvm50 is completely broken at the moment, it seems. So please do not run exp quite yet. Thanks!
Comment 20 Johannes M Dieterich freebsd_committer 2018-01-17 09:29:08 UTC
OpenMP in devel/llvm50 should work now again. Could we please get an exp-run with new patch version? Thank you!
Comment 21 Johannes M Dieterich freebsd_committer 2018-02-18 13:34:34 UTC
Created attachment 190744 [details]
re-diffd patch against recent ports HEAD
Comment 22 Antoine Brodin freebsd_committer 2018-02-21 14:20:14 UTC
Created attachment 190857 [details]
openmp.diff

I use this patch for the exp-run as the submitted one doesn't work.
Comment 23 Antoine Brodin freebsd_committer 2018-02-21 14:24:32 UTC
New failures on 10.3 amd64:

+ {"origin"=>"audio/soundtouch", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"biology/canu", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"biology/iqtree", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"cad/calculix-ccx", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"graphics/digikam-kde4", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/entangle", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/gthumb", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/gwenview-kde4", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/instant-meshes", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/kipi-plugin-acquireimages", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/kipi-plugin-dngconverter", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/kipi-plugin-expoblending", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/kipi-plugin-panorama", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/kipi-plugin-photolayoutseditor", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/kphotoalbum-kde4", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/luminance", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/luminance-qt5", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/nomacs", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"math/openblas", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"multimedia/php-pHash", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"science/clhep", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"science/siril", "phase"=>"build", "errortype"=>"linker_error"}

New failure logs on 10.3 amd64:

http://package22.nyi.freebsd.org/data/103amd64-default-PR210337/2018-02-19_19h20m45s/logs/errors/soundtouch-1.9.2_4.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR210337/2018-02-19_19h20m45s/logs/errors/canu-1.6_1.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR210337/2018-02-19_19h20m45s/logs/errors/iqtree-1.6.1_2.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR210337/2018-02-19_19h20m45s/logs/errors/CalculiX-ccx-2.13.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR210337/2018-02-19_19h20m45s/logs/errors/digikam-4.14.0_11,2.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR210337/2018-02-19_19h20m45s/logs/errors/entangle-0.7.2_1.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR210337/2018-02-19_19h20m45s/logs/errors/gthumb-3.6.0.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR210337/2018-02-19_19h20m45s/logs/errors/gwenview-4.14.3_3.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR210337/2018-02-19_19h20m45s/logs/errors/instant-meshes-0.0.42.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR210337/2018-02-19_19h20m45s/logs/errors/kipi-plugin-acquireimages-4.14.0_2.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR210337/2018-02-19_19h20m45s/logs/errors/kipi-plugin-dngconverter-4.14.0_2.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR210337/2018-02-19_19h20m45s/logs/errors/kipi-plugin-expoblending-4.14.0_2.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR210337/2018-02-19_19h20m45s/logs/errors/kipi-plugin-panorama-4.14.0_2.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR210337/2018-02-19_19h20m45s/logs/errors/kipi-plugin-photolayoutseditor-4.14.0_2.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR210337/2018-02-19_19h20m45s/logs/errors/kphotoalbum-4.4_10.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR210337/2018-02-19_19h20m45s/logs/errors/luminance-hdr-2.3.1_17.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR210337/2018-02-19_19h20m45s/logs/errors/luminance-hdr-qt5-2.4.0_20.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR210337/2018-02-19_19h20m45s/logs/errors/nomacs-3.6.1.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR210337/2018-02-19_19h20m45s/logs/errors/openblas-0.2.20_1,1.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR210337/2018-02-19_19h20m45s/logs/errors/php-pHash-0.9.6_2.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR210337/2018-02-19_19h20m45s/logs/errors/clhep-2.3.1.1_3.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR210337/2018-02-19_19h20m45s/logs/errors/siril-0.9.8.log
Comment 24 Antoine Brodin freebsd_committer 2018-02-21 14:28:30 UTC
New failures on 10.3 i386:

+ {"origin"=>"audio/soundtouch", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"biology/canu", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"biology/cd-hit", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"biology/iqtree", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/synfig", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"editors/emacs", "flavor"=>"canna", "phase"=>"build/runaway", "errortype"=>"runaway_process"}
+ {"origin"=>"editors/emacs", "phase"=>"build/runaway", "errortype"=>"runaway_process"}
+ {"origin"=>"editors/emacs-devel", "phase"=>"build/runaway", "errortype"=>"runaway_process"}
+ {"origin"=>"games/enigma", "phase"=>"build/runaway", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/openclaw", "phase"=>"build/runaway", "errortype"=>"runaway_process"}
+ {"origin"=>"games/openspades", "phase"=>"build/runaway", "errortype"=>"runaway_process"}
+ {"origin"=>"graphics/converseen", "phase"=>"configure/runaway", "errortype"=>"runaway_process"}
+ {"origin"=>"graphics/digikam-kde4", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/entangle", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/gthumb", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/gwenview-kde4", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/hdr_tools", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/inkscape", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/instant-meshes", "phase"=>"build/runaway", "errortype"=>"runaway_process"}
+ {"origin"=>"graphics/kipi-plugin-acquireimages", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/kipi-plugin-calendar", "phase"=>"configure/runaway", "errortype"=>"runaway_process"}
+ {"origin"=>"graphics/kipi-plugin-dngconverter", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/kipi-plugin-expoblending", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/kipi-plugin-panorama", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/kipi-plugin-photolayoutseditor", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/kipi-plugin-videoslideshow", "phase"=>"configure/runaway", "errortype"=>"runaway_process"}
+ {"origin"=>"graphics/kphotoalbum-kde4", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/luminance", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/luminance-qt5", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/nomacs", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/pfstmo", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/shotwell", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/timg", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"math/gri", "phase"=>"build/runaway", "errortype"=>"runaway_process"}
+ {"origin"=>"math/viennacl", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"multimedia/pHash", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"science/clhep", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"science/gromacs", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"science/siril", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"sysutils/parafly", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"www/WebMagick", "phase"=>"build/runaway", "errortype"=>"runaway_process"}
+ {"origin"=>"x11-themes/cursor-crystal-theme", "phase"=>"build/runaway", "errortype"=>"runaway_process"}
+ {"origin"=>"x11-themes/icons-tango", "phase"=>"stage/runaway", "errortype"=>"runaway_process"}
+ {"origin"=>"x11-wm/awesome", "phase"=>"build/runaway", "errortype"=>"runaway_process"}

New failure logs on 10.3 i386:

http://package23.nyi.freebsd.org/data/103i386-default-PR210337/2018-02-19_19h20m42s/logs/errors/soundtouch-1.9.2_4.log
http://package23.nyi.freebsd.org/data/103i386-default-PR210337/2018-02-19_19h20m42s/logs/errors/canu-1.6_1.log
http://package23.nyi.freebsd.org/data/103i386-default-PR210337/2018-02-19_19h20m42s/logs/errors/cd-hit-4.6.6_2.log
http://package23.nyi.freebsd.org/data/103i386-default-PR210337/2018-02-19_19h20m42s/logs/errors/iqtree-1.6.1_2.log
http://package23.nyi.freebsd.org/data/103i386-default-PR210337/2018-02-19_19h20m42s/logs/errors/synfig-1.2.1_1.log
http://package23.nyi.freebsd.org/data/103i386-default-PR210337/2018-02-19_19h20m42s/logs/errors/emacs-canna-25.3_2,3.log
http://package23.nyi.freebsd.org/data/103i386-default-PR210337/2018-02-19_19h20m42s/logs/errors/emacs-25.3_2,3.log
http://package23.nyi.freebsd.org/data/103i386-default-PR210337/2018-02-19_19h20m42s/logs/errors/emacs-devel-27.0.50.20180122,2.log
http://package23.nyi.freebsd.org/data/103i386-default-PR210337/2018-02-19_19h20m42s/logs/errors/enigma-1.21.log
http://package23.nyi.freebsd.org/data/103i386-default-PR210337/2018-02-19_19h20m42s/logs/errors/OpenClaw-0.0.51_1.log
http://package23.nyi.freebsd.org/data/103i386-default-PR210337/2018-02-19_19h20m42s/logs/errors/openspades-0.0.12_6.log
http://package23.nyi.freebsd.org/data/103i386-default-PR210337/2018-02-19_19h20m42s/logs/errors/converseen-0.9.6.2_3.log
http://package23.nyi.freebsd.org/data/103i386-default-PR210337/2018-02-19_19h20m42s/logs/errors/digikam-4.14.0_11,2.log
http://package23.nyi.freebsd.org/data/103i386-default-PR210337/2018-02-19_19h20m42s/logs/errors/entangle-0.7.2_1.log
http://package23.nyi.freebsd.org/data/103i386-default-PR210337/2018-02-19_19h20m42s/logs/errors/gthumb-3.6.0.log
http://package23.nyi.freebsd.org/data/103i386-default-PR210337/2018-02-19_19h20m42s/logs/errors/gwenview-4.14.3_3.log
http://package23.nyi.freebsd.org/data/103i386-default-PR210337/2018-02-19_19h20m42s/logs/errors/hdr_tools-0.0.2010.11.23_3.log
http://package23.nyi.freebsd.org/data/103i386-default-PR210337/2018-02-19_19h20m42s/logs/errors/inkscape-0.92.2_4.log
http://package23.nyi.freebsd.org/data/103i386-default-PR210337/2018-02-19_19h20m42s/logs/errors/instant-meshes-0.0.42.log
http://package23.nyi.freebsd.org/data/103i386-default-PR210337/2018-02-19_19h20m42s/logs/errors/kipi-plugin-acquireimages-4.14.0_2.log
http://package23.nyi.freebsd.org/data/103i386-default-PR210337/2018-02-19_19h20m42s/logs/errors/kipi-plugin-calendar-4.14.0_2.log
http://package23.nyi.freebsd.org/data/103i386-default-PR210337/2018-02-19_19h20m42s/logs/errors/kipi-plugin-dngconverter-4.14.0_2.log
http://package23.nyi.freebsd.org/data/103i386-default-PR210337/2018-02-19_19h20m42s/logs/errors/kipi-plugin-expoblending-4.14.0_2.log
http://package23.nyi.freebsd.org/data/103i386-default-PR210337/2018-02-19_19h20m42s/logs/errors/kipi-plugin-panorama-4.14.0_2.log
http://package23.nyi.freebsd.org/data/103i386-default-PR210337/2018-02-19_19h20m42s/logs/errors/kipi-plugin-photolayoutseditor-4.14.0_2.log
http://package23.nyi.freebsd.org/data/103i386-default-PR210337/2018-02-19_19h20m42s/logs/errors/kipi-plugin-videoslideshow-4.14.0_4.log
http://package23.nyi.freebsd.org/data/103i386-default-PR210337/2018-02-19_19h20m42s/logs/errors/kphotoalbum-4.4_10.log
http://package23.nyi.freebsd.org/data/103i386-default-PR210337/2018-02-19_19h20m42s/logs/errors/luminance-hdr-2.3.1_17.log
http://package23.nyi.freebsd.org/data/103i386-default-PR210337/2018-02-19_19h20m42s/logs/errors/luminance-hdr-qt5-2.4.0_20.log
http://package23.nyi.freebsd.org/data/103i386-default-PR210337/2018-02-19_19h20m42s/logs/errors/nomacs-3.6.1.log
http://package23.nyi.freebsd.org/data/103i386-default-PR210337/2018-02-19_19h20m42s/logs/errors/pfstmo-1.5_8.log
http://package23.nyi.freebsd.org/data/103i386-default-PR210337/2018-02-19_19h20m42s/logs/errors/shotwell-0.26.4_1.log
http://package23.nyi.freebsd.org/data/103i386-default-PR210337/2018-02-19_19h20m42s/logs/errors/timg-0.9.5_2.log
http://package23.nyi.freebsd.org/data/103i386-default-PR210337/2018-02-19_19h20m42s/logs/errors/gri-2.12.23_6.log
http://package23.nyi.freebsd.org/data/103i386-default-PR210337/2018-02-19_19h20m42s/logs/errors/viennacl-1.7.1_1.log
http://package23.nyi.freebsd.org/data/103i386-default-PR210337/2018-02-19_19h20m42s/logs/errors/pHash-0.9.6_7.log
http://package23.nyi.freebsd.org/data/103i386-default-PR210337/2018-02-19_19h20m42s/logs/errors/clhep-2.3.1.1_3.log
http://package23.nyi.freebsd.org/data/103i386-default-PR210337/2018-02-19_19h20m42s/logs/errors/gromacs-5.0.6_10.log
http://package23.nyi.freebsd.org/data/103i386-default-PR210337/2018-02-19_19h20m42s/logs/errors/siril-0.9.8.log
http://package23.nyi.freebsd.org/data/103i386-default-PR210337/2018-02-19_19h20m42s/logs/errors/parafly-2013.01.21_3.log
http://package23.nyi.freebsd.org/data/103i386-default-PR210337/2018-02-19_19h20m42s/logs/errors/WebMagick-2.03p29_2,1.log
http://package23.nyi.freebsd.org/data/103i386-default-PR210337/2018-02-19_19h20m42s/logs/errors/cursor-crystal-theme-1.1.1_6.log
http://package23.nyi.freebsd.org/data/103i386-default-PR210337/2018-02-19_19h20m42s/logs/errors/icons-tango-0.8.90_2.log
http://package23.nyi.freebsd.org/data/103i386-default-PR210337/2018-02-19_19h20m42s/logs/errors/awesome-4.2,1.log
Comment 25 Antoine Brodin freebsd_committer 2018-02-24 20:15:18 UTC
New failures on 11.1 i386:

+ {"origin"=>"biology/canu", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"biology/iqtree", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/synfig", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/dcraw-m", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/dmtx-utils", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/entangle", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/gegl3", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/hdr_tools", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/pfstmo", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/reallyslick", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/rubygem-rmagick", "phase"=>"stage", "errortype"=>"makefile"}
+ {"origin"=>"graphics/zbar", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"misc/img2xterm", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"science/gromacs", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/nginx-full", "phase"=>"build", "errortype"=>"configure_error"}
+ {"origin"=>"x11-wm/libwraster", "phase"=>"build", "errortype"=>"linker_error"}

New failure logs on 11.1 i386:

http://package23.nyi.freebsd.org/data/111i386-default-PR210337/2018-02-23_22h24m04s/logs/errors/canu-1.6_1.log
http://package23.nyi.freebsd.org/data/111i386-default-PR210337/2018-02-23_22h24m04s/logs/errors/iqtree-1.6.1_2.log
http://package23.nyi.freebsd.org/data/111i386-default-PR210337/2018-02-23_22h24m04s/logs/errors/synfig-1.2.1_1.log
http://package23.nyi.freebsd.org/data/111i386-default-PR210337/2018-02-23_22h24m04s/logs/errors/dcraw-m-9.22_3.log
http://package23.nyi.freebsd.org/data/111i386-default-PR210337/2018-02-23_22h24m04s/logs/errors/dmtx-utils-0.7.4_4.log
http://package23.nyi.freebsd.org/data/111i386-default-PR210337/2018-02-23_22h24m04s/logs/errors/entangle-0.7.2_1.log
http://package23.nyi.freebsd.org/data/111i386-default-PR210337/2018-02-23_22h24m04s/logs/errors/gegl3-0.3.20_3.log
http://package23.nyi.freebsd.org/data/111i386-default-PR210337/2018-02-23_22h24m04s/logs/errors/hdr_tools-0.0.2010.11.23_3.log
http://package23.nyi.freebsd.org/data/111i386-default-PR210337/2018-02-23_22h24m04s/logs/errors/pfstmo-1.5_8.log
http://package23.nyi.freebsd.org/data/111i386-default-PR210337/2018-02-23_22h24m04s/logs/errors/reallyslick-0.9.1_20.log
http://package23.nyi.freebsd.org/data/111i386-default-PR210337/2018-02-23_22h24m04s/logs/errors/rubygem-rmagick-2.16.0_5.log
http://package23.nyi.freebsd.org/data/111i386-default-PR210337/2018-02-23_22h24m04s/logs/errors/zbar-0.10_13.log
http://package23.nyi.freebsd.org/data/111i386-default-PR210337/2018-02-23_22h24m04s/logs/errors/img2xterm-1.0.0_2.log
http://package23.nyi.freebsd.org/data/111i386-default-PR210337/2018-02-23_22h24m04s/logs/errors/gromacs-5.0.6_10.log
http://package23.nyi.freebsd.org/data/111i386-default-PR210337/2018-02-23_22h24m04s/logs/errors/nginx-full-1.12.2_8,2.log
http://package23.nyi.freebsd.org/data/111i386-default-PR210337/2018-02-23_22h24m04s/logs/errors/libwraster-0.95.7_5.log
Comment 26 Antoine Brodin freebsd_committer 2018-02-24 20:19:16 UTC
New failures on 11.1 amd64:

+ {"origin"=>"biology/canu", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"biology/iqtree", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"cad/calculix-ccx", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/synfig", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/dcraw-m", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/digikam-kde4", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/dmtx-utils", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/entangle", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/gegl3", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/gwenview-kde4", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/hdr_tools", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/kipi-plugin-acquireimages", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/kipi-plugin-dngconverter", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/kipi-plugin-expoblending", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/kipi-plugin-panorama", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/kipi-plugin-photolayoutseditor", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/kphotoalbum-kde4", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/luminance", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/luminance-qt5", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/nomacs", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/reallyslick", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/rubygem-rmagick", "phase"=>"stage", "errortype"=>"makefile"}
+ {"origin"=>"graphics/zbar", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"lang/modula3", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"math/openblas", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"misc/img2xterm", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"multimedia/php-pHash", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"science/siril", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"www/nginx-full", "phase"=>"build", "errortype"=>"configure_error"}
+ {"origin"=>"x11-wm/libwraster", "phase"=>"build", "errortype"=>"linker_error"}

New failure logs on 11.1 amd64:

http://package22.nyi.freebsd.org/data/111amd64-default-PR210337/2018-02-23_22h24m08s/logs/errors/canu-1.6_1.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR210337/2018-02-23_22h24m08s/logs/errors/iqtree-1.6.1_2.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR210337/2018-02-23_22h24m08s/logs/errors/CalculiX-ccx-2.13.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR210337/2018-02-23_22h24m08s/logs/errors/synfig-1.2.1_1.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR210337/2018-02-23_22h24m08s/logs/errors/dcraw-m-9.22_3.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR210337/2018-02-23_22h24m08s/logs/errors/digikam-4.14.0_11,2.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR210337/2018-02-23_22h24m08s/logs/errors/dmtx-utils-0.7.4_4.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR210337/2018-02-23_22h24m08s/logs/errors/entangle-0.7.2_1.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR210337/2018-02-23_22h24m08s/logs/errors/gegl3-0.3.20_3.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR210337/2018-02-23_22h24m08s/logs/errors/gwenview-kde4-4.14.3_3.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR210337/2018-02-23_22h24m08s/logs/errors/hdr_tools-0.0.2010.11.23_3.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR210337/2018-02-23_22h24m08s/logs/errors/kipi-plugin-acquireimages-4.14.0_2.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR210337/2018-02-23_22h24m08s/logs/errors/kipi-plugin-dngconverter-4.14.0_2.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR210337/2018-02-23_22h24m08s/logs/errors/kipi-plugin-expoblending-4.14.0_2.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR210337/2018-02-23_22h24m08s/logs/errors/kipi-plugin-panorama-4.14.0_2.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR210337/2018-02-23_22h24m08s/logs/errors/kipi-plugin-photolayoutseditor-4.14.0_2.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR210337/2018-02-23_22h24m08s/logs/errors/kphotoalbum-4.4_10.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR210337/2018-02-23_22h24m08s/logs/errors/luminance-hdr-2.3.1_17.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR210337/2018-02-23_22h24m08s/logs/errors/luminance-hdr-qt5-2.4.0_20.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR210337/2018-02-23_22h24m08s/logs/errors/nomacs-3.6.1.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR210337/2018-02-23_22h24m08s/logs/errors/reallyslick-0.9.1_20.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR210337/2018-02-23_22h24m08s/logs/errors/rubygem-rmagick-2.16.0_5.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR210337/2018-02-23_22h24m08s/logs/errors/zbar-0.10_13.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR210337/2018-02-23_22h24m08s/logs/errors/modula3-5.10.0_6.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR210337/2018-02-23_22h24m08s/logs/errors/openblas-0.2.20_1,1.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR210337/2018-02-23_22h24m08s/logs/errors/img2xterm-1.0.0_2.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR210337/2018-02-23_22h24m08s/logs/errors/php-pHash-0.9.6_2.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR210337/2018-02-23_22h24m08s/logs/errors/siril-0.9.8.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR210337/2018-02-23_22h24m08s/logs/errors/nginx-full-1.12.2_8,2.log
http://package22.nyi.freebsd.org/data/111amd64-default-PR210337/2018-02-23_22h24m08s/logs/errors/libwraster-0.95.7_5.log
Comment 27 Johannes M Dieterich freebsd_committer 2018-06-11 03:19:56 UTC
Created attachment 194147 [details]
use llvm60 and fix a few more ports

please another exp-run without turning OPENMP on for ports that don't do so by default. See explanation in mail I am about to send. Thanks!
Comment 28 Antoine Brodin freebsd_committer 2018-06-11 05:46:48 UTC
The provided patch doesn't work,  you test ${COMPILER_FEATURES} when features is not added to _COMPILER_ARGS.
Comment 29 Antoine Brodin freebsd_committer 2018-06-11 06:00:24 UTC
Also I said several times that I object to half ports being linked to libomp from devel/openmp and the other half being linked to libomp from llvm60,  this is not addressed in this patch.
Comment 30 Johannes M Dieterich freebsd_committer 2018-06-11 06:42:08 UTC
Are you referring to:

.if ${COMPILER_FEATURES:Mlibc++}
CXXFLAGS+=      -nostdinc++ -isystem /usr/include/c++/v1
LDFLAGS+=       -L${WRKDIR}

If so, this was one outcome of https://reviews.freebsd.org/D6362 , IIRC (I am sure it didn't originate with me). What would you want instead?

devel/openmp vs devel/llvm60: Maybe I forgot that you told me this (if so, I am sorry) but I can't find such statement either here, on reviews, or in my mails. So let's fix it. If freshports is correct, this affects only 13 ports that depend on devel/openmp as a library.

Could you elaborate on what solution you would find preferable? Currently most ports are using lang/gcc for OpenMP and some are linking against devel/openmp. This patch changes, for amd64, only the former to devel/llvm60. For !amd64 nothing can change. Do you want to have these 13 ports have different logic for amd64 vs !amd64?
Comment 31 Antoine Brodin freebsd_committer 2018-06-11 07:28:33 UTC
(In reply to Johannes M Dieterich from comment #30)
features must be added to _COMPILER_ARGS and the openmp block must be moved below the features block
Comment 32 Jan Beich freebsd_committer 2018-07-05 00:11:16 UTC
Comment on attachment 194147 [details]
use llvm60 and fix a few more ports

> +_USES_POST+=	localbase:ldflags
> +BUILD_DEPENDS+=	llvm60>=0:devel/llvm60

OPENMP in devel/llvm* (unlike devel/openmp) isn't supported on FreeBSD 10.*, see

  OPTIONS_EXCLUDE_FreeBSD_10=     LLDB OPENMP
Comment 33 Mikhail Teterin freebsd_committer 2018-07-10 20:45:25 UTC
(In reply to Jan Beich from comment #32)
It seems rather unfortunate to require the entire devel/llvm60 at both build and run-times, when devel/openmp SHOULD BE sufficient.

Comment #16 alludes to "major problems" with it -- should not those be fixed, whatever they are?

Seems a lot cleaner to require just that small port instead of dragging the entire llvm with any program compiled with OpenMP...

I agree with Antoine, that having multiple sources of libomp is wrong -- devel/llvmVERSION should, probably, NEVER install its own copy, relying on devel/openmp instead...
Comment 34 Johannes M Dieterich freebsd_committer 2018-07-11 02:06:18 UTC
I am working on a new iteration of the patch - which will also include i386. Thanks to Jan for the patches to the LLVM ports allowing that!

Concerning pulling in LLVM: yes, it's not ideal. However, an earlier exp-run found significantly more failures when combining base compiler and devel/openmp as opposed to using full devel/llvmX. On top, there is a version issue, I do not think it is advisable or supported to run, e.g., a LLVM7 libomp with a LLVM5 base compiler.

I've long advocated that libomp should be imported into base. The base compiler is the prime ports compiler, it's a runtime library, it's not particularly heavy, ... hence it belongs there. I do hope that using devel/llvmX is only a stop-gap measure.
Comment 35 Mikhail Teterin freebsd_committer 2018-07-11 14:05:10 UTC
(In reply to Johannes M Dieterich from comment #34)
> I am working on a new iteration of the patch - which will also include i386.

Good to hear this, thank you! This ticket is too old already for the feature of this importance.

> an earlier exp-run found significantly more failures when combining base
> compiler and devel/openmp

Comparing the number of failures is a wrong approach. If there is something wrong with devel/openmp, then it needs fixing. If a port breaks -- because it simply does not append -I${LOCALBASE}/include and L${LOCALBASE}/llvm${COMPILER_VERSION}/lib after -fopenmp -- then it needs fixing. Or, maybe, the additional flags should go into Uses/compiler.mk, which would append them automatically to any port desiring openmp-feature without gcc.

> advisable or supported to run, e.g., a LLVM7 libomp with a LLVM5 base compiler.

It is worth looking into. It is possible, the openmp part of LLVM does not change much from version to version. Or, if it does, we may need separate ports for each major version. Or use "flavors" -- to build a different version of openmp for each llvm-version desired.

But to drag in the entire compiler suit is insane. Especially so, when the dragged-in compiler is of the same version as the base and thus provides no value whatsoever... ESPECIALLY, for a runtime-dependency.

> I've long advocated that libomp should be imported into base.

I agree, that it is ridiculous, that `cc -fopenmp` does not "just work" on FreeBSD. Maybe, the necessary bits can remain optional, but integratable into the base the way pkg is, for example...
Comment 36 Matthew Macy 2018-07-11 20:49:05 UTC
(In reply to Mikhail Teterin from comment #35)

It needs to just be imported base and work out of the box like it use to with gcc and does on any Linux distro. However, getting it set up in ports is for practical purposes a necessary precondition.
Comment 37 Jan Beich freebsd_committer 2018-08-05 22:33:34 UTC
@mi, @mmacy, maybe you can help review D11507 then. ;)
Comment 38 Mikhail Teterin freebsd_committer 2018-08-05 23:17:12 UTC
(In reply to Jan Beich from comment #37)

I'm not a src-committer, but I'll point out, that even if the base cc begins supporting -fopenmp in 11.3, the ports (and bsd.compiler.mk in particular) will need to continue supporting 10.x and 11.{1,2} for years to come.

The proper solution needs to be figured out for those installations independently anyway. I wish, we didn't have this problem, but now we do...

To that end, I'd propose the following:

1. the option to build OpenMP support _removed_ from devel/llvm (along with the CLANG-option on 11.x);
2. bsd.compiler.mk modified to, when openmp is requested, examine the compiler.
 a) If clang (base or ports-provided) is detected on a release without OpenMP in the base, LIB_DEPEND on devel/openmp and append the necessary flags to CFLAGS and LDFLAGS (kind of what I'm doing in finance/quantlib now).
 b) If gcc (of any vintage) is detected, proceed as the current version does.